Main Page Class List Class Members

# Nv::Blast::ExtSerializationCAPN< TObject, TSerializationReader, TSerializationBuilder > Class Template Reference

`#include <NvBlastExtSerializationCAPN.h>`

List of all members.

## Public Member Functions
template<>
NV_INLINE TkAsset * | deserializeFromStreamReader (capnp::InputStreamMessageReader &message)
template<>
NV_INLINE ExtPxAsset * | deserializeFromStreamReader (capnp::InputStreamMessageReader &message)
template<>
NV_INLINE Asset * | deserializeFromStreamReader (capnp::InputStreamMessageReader &message)
template<>
NV_INLINE bool | serializeIntoBuilder (Serialization::TkAsset::Builder &assetBuilder, const TkAsset *asset)
template<>
NV_INLINE bool | serializeIntoBuilder (Serialization::ExtPxAsset::Builder &assetBuilder, const ExtPxAsset *asset)
template<>
NV_INLINE bool | serializeIntoBuilder (Serialization::Asset::Builder &assetBuilder, const Asset *asset)
template<>
NV_INLINE bool | serializeIntoMessage (capnp::MallocMessageBuilder &message, const TkAsset *asset)
template<>
NV_INLINE bool | serializeIntoMessage (capnp::MallocMessageBuilder &message, const ExtPxAsset *asset)
template<>
NV_INLINE bool | serializeIntoMessage (capnp::MallocMessageBuilder &message, const Asset *asset)
## Static Public Member Functions
static TObject * | deserializeFromBuffer (const unsigned char *input, uint64_t size)
static TObject * | deserializeFromStream (std::istream &inputStream)
static uint64_t | serializationBufferSize (const TObject *object)
static bool | serializeIntoBuffer (const TObject *object, unsigned char *&buffer, uint64_t &size, ExtSerialization::BufferProvider *bufferProvider=nullptr, uint64_t offset=0)
static bool | serializeIntoBuffer (const TObject *object, unsigned char *buffer, uint64_t maxSize, uint64_t &usedSize)
static bool | serializeIntoStream (const TObject *object, std::ostream &outputStream)

### template<typename TObject, typename TSerializationReader, typename TSerializationBuilder>
class Nv::Blast::ExtSerializationCAPN< TObject, TSerializationReader, TSerializationBuilder >

## Member Function Documentation

template<typename TObject , typename TSerializationReader , typename TSerializationBuilder >

TObject * Nv::Blast::ExtSerializationCAPN< TObject, TSerializationReader, TSerializationBuilder >::deserializeFromBuffer | ( | const unsigned char * | input,
|  | uint64_t | size |
| ) |  |  | `[inline, static]`

template<typename TObject , typename TSerializationReader , typename TSerializationBuilder >

TObject * Nv::Blast::ExtSerializationCAPN< TObject, TSerializationReader, TSerializationBuilder >::deserializeFromStream | ( | std::istream & | inputStream | ) | `[inline, static]`

template<>

NV_INLINE TkAsset * Nv::Blast::ExtSerializationCAPN< TkAsset, Serialization::TkAsset::Reader, Serialization::TkAsset::Builder >::deserializeFromStreamReader | ( | capnp::InputStreamMessageReader & | message | ) | `[inline]`

template<>

NV_INLINE ExtPxAsset * Nv::Blast::ExtSerializationCAPN< ExtPxAsset, Serialization::ExtPxAsset::Reader, Serialization::ExtPxAsset::Builder >::deserializeFromStreamReader | ( | capnp::InputStreamMessageReader & | message | ) | `[inline]`

template<>

NV_INLINE Asset * Nv::Blast::ExtSerializationCAPN< Asset, Serialization::Asset::Reader, Serialization::Asset::Builder >::deserializeFromStreamReader | ( | capnp::InputStreamMessageReader & | message | ) | `[inline]`

template<typename TObject , typename TSerializationReader , typename TSerializationBuilder >

uint64_t Nv::Blast::ExtSerializationCAPN< TObject, TSerializationReader, TSerializationBuilder >::serializationBufferSize | ( | const TObject * | object | ) | `[inline, static]`

template<typename TObject , typename TSerializationReader , typename TSerializationBuilder >

bool Nv::Blast::ExtSerializationCAPN< TObject, TSerializationReader, TSerializationBuilder >::serializeIntoBuffer | ( | const TObject * | object,
|  | unsigned char *& | buffer,
|  | uint64_t & | size,
|  | ExtSerialization::BufferProvider * | bufferProvider = `nullptr`,
|  | uint64_t | offset = `0` |
| ) |  |  | `[inline, static]`

template<typename TObject , typename TSerializationReader , typename TSerializationBuilder >

bool Nv::Blast::ExtSerializationCAPN< TObject, TSerializationReader, TSerializationBuilder >::serializeIntoBuffer | ( | const TObject * | object,
|  | unsigned char * | buffer,
|  | uint64_t | maxSize,
|  | uint64_t & | usedSize |
| ) |  |  | `[inline, static]`

template<>

NV_INLINE bool Nv::Blast::ExtSerializationCAPN< TkAsset, Serialization::TkAsset::Reader, Serialization::TkAsset::Builder >::serializeIntoBuilder | ( | Serialization::TkAsset::Builder & | assetBuilder,
|  | const TkAsset * | asset |
| ) |  |  | `[inline]`

template<>

NV_INLINE bool Nv::Blast::ExtSerializationCAPN< ExtPxAsset, Serialization::ExtPxAsset::Reader, Serialization::ExtPxAsset::Builder >::serializeIntoBuilder | ( | Serialization::ExtPxAsset::Builder & | assetBuilder,
|  | const ExtPxAsset * | asset |
| ) |  |  | `[inline]`

template<>

NV_INLINE bool Nv::Blast::ExtSerializationCAPN< Asset, Serialization::Asset::Reader, Serialization::Asset::Builder >::serializeIntoBuilder | ( | Serialization::Asset::Builder & | assetBuilder,
|  | const Asset * | asset |
| ) |  |  | `[inline]`

template<>

NV_INLINE bool Nv::Blast::ExtSerializationCAPN< TkAsset, Serialization::TkAsset::Reader, Serialization::TkAsset::Builder >::serializeIntoMessage | ( | capnp::MallocMessageBuilder & | message,
|  | const TkAsset * | asset |
| ) |  |  | `[inline]`

template<>

NV_INLINE bool Nv::Blast::ExtSerializationCAPN< ExtPxAsset, Serialization::ExtPxAsset::Reader, Serialization::ExtPxAsset::Builder >::serializeIntoMessage | ( | capnp::MallocMessageBuilder & | message,
|  | const ExtPxAsset * | asset |
| ) |  |  | `[inline]`

template<>

NV_INLINE bool Nv::Blast::ExtSerializationCAPN< Asset, Serialization::Asset::Reader, Serialization::Asset::Builder >::serializeIntoMessage | ( | capnp::MallocMessageBuilder & | message,
|  | const Asset * | asset |
| ) |  |  | `[inline]`

template<typename TObject , typename TSerializationReader , typename TSerializationBuilder >

bool Nv::Blast::ExtSerializationCAPN< TObject, TSerializationReader, TSerializationBuilder >::serializeIntoStream | ( | const TObject * | object,
|  | std::ostream & | outputStream |
| ) |  |  | `[inline, static]`

The documentation for this class was generated from the following file:

- sdk/extensions/serialization/source/NvBlastExtSerializationCAPN.h